TAU_ENABLE_TRACKING_(3)

Name
TAU_ENABLE_TRACKING_MEMORY_HEADROOM - Enables memory headroom tracking

Synopsis

C/C++:

TAU_ENABLE_TRACKING_MEMORY_HEADROOM(void);

Fortran:

TAU_ENABLE_TRACKING_MEMORY_HEADROOM(void);

Description

TAU_ENABLE_TRACKING_MEMORY_HEADROOM() enables memory headroom tracking after a TAU_DISABLE_TRACKING_MEMORY_HEADROOM().

Example

C/C++ :

    TAU_DISABLE_TRACKING_MEMORY_HEADROOM();
    /* do some work */
    ...
    /* re-enable tracking memory headroom */
    TAU_ENABLE_TRACKING_MEMORY_HEADROOM();

Fortran :

    call TAU_ENABLE_TRACKING_MEMORY_HEADROOM();

Fortran :

    import pytau
    pytau.enableTrackingMemoryHeadroom()

See Also

TAU_TRACK_MEMORY_HEADROOM(3), TAU_DISABLE_TRACKING_MEMORY_HEADROOM(3), TAU_TRACK_MEMORY_HEADROOM_HERE(3), TAU_SET_INTERRUPT_INTERVAL(3)